# teyvatapi
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 1.0.4.dev
- Generator version: 7.9.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import teyvatapi
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import teyvatapi
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import teyvatapi
from teyvatapi.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = teyvatapi.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): Bearer
configuration = teyvatapi.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with teyvatapi.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = teyvatapi.AdminApi(api_client)
    create_user_request_body = teyvatapi.CreateUserRequestBody() # CreateUserRequestBody |  (optional)

    try:
        # Create an admin
        api_instance.api_admins_create_post(create_user_request_body=create_user_request_body)
    except ApiException as e:
        print("Exception when calling AdminApi->api_admins_create_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdminApi* | [**api_admins_create_post**](docs/AdminApi.md#api_admins_create_post) | **POST** /api/admins/create | Create an admin
*AdminApi* | [**api_admins_login_post**](docs/AdminApi.md#api_admins_login_post) | **POST** /api/admins/login | Login as an admin
*BookApi* | [**api_books_add_by_file_post**](docs/BookApi.md#api_books_add_by_file_post) | **POST** /api/books/add/by-file | Add books by JSON content
*BookApi* | [**get_all**](docs/BookApi.md#get_all) | **GET** /api/books | Get all books from database
*BookApi* | [**get_by_id**](docs/BookApi.md#get_by_id) | **GET** /api/books/{id} | Get the book by id
*BookApi* | [**search**](docs/BookApi.md#search) | **GET** /api/books/search | Search the books by text (not including content)
*BookApi* | [**search_by_content**](docs/BookApi.md#search_by_content) | **GET** /api/books/search/content | Search the books by text (only using content)
*DiscordApi* | [**discord_chat**](docs/DiscordApi.md#discord_chat) | **POST** /api/discord/chat | Chat with Paimon
*DiscordApi* | [**get_discord_login_url**](docs/DiscordApi.md#get_discord_login_url) | **GET** /api/discord/login-url | Login with discord
*DiscordViewApi* | [**discord_login_callback**](docs/DiscordViewApi.md#discord_login_callback) | **GET** /api/discord/login/callback | The discord login callback
*PaimonApi* | [**get_prompt_response**](docs/PaimonApi.md#get_prompt_response) | **POST** /api/ai/paimon/prompt | Get the response from the prompt
*PaimonApi* | [**get_prompt_response_with_file**](docs/PaimonApi.md#get_prompt_response_with_file) | **POST** /api/ai/paimon/prompt-with-file | Get the response from the prompt with file
*UserApi* | [**create**](docs/UserApi.md#create) | **POST** /api/users/create | Create a new user
*UserApi* | [**delete_user**](docs/UserApi.md#delete_user) | **DELETE** /api/users/delete | Delete user information
*UserApi* | [**forgot_password_request**](docs/UserApi.md#forgot_password_request) | **POST** /api/users/forgot-password/request | Forgot password request
*UserApi* | [**login**](docs/UserApi.md#login) | **POST** /api/users/login | Login a user
*UserApi* | [**me**](docs/UserApi.md#me) | **GET** /api/users/me | Get user information
*UserApi* | [**reset_password**](docs/UserApi.md#reset_password) | **POST** /api/users/forgot-password/reset | Reset password
*UserApi* | [**update_email**](docs/UserApi.md#update_email) | **PUT** /api/users/update/email | Update email information
*UserApi* | [**update_password**](docs/UserApi.md#update_password) | **PUT** /api/users/update/password | Update password information
*UserApi* | [**update_username**](docs/UserApi.md#update_username) | **PUT** /api/users/update/username | Update username information


## Documentation For Models

 - [Book](docs/Book.md)
 - [CreateUserRequestBody](docs/CreateUserRequestBody.md)
 - [DeleteUserRequestBody](docs/DeleteUserRequestBody.md)
 - [EmailUpdateRequestBody](docs/EmailUpdateRequestBody.md)
 - [ForgotPasswordRequestBody](docs/ForgotPasswordRequestBody.md)
 - [GetPromptRequestBody](docs/GetPromptRequestBody.md)
 - [LoginRequestBody](docs/LoginRequestBody.md)
 - [PasswordUpdateRequestBody](docs/PasswordUpdateRequestBody.md)
 - [ProblemDetails](docs/ProblemDetails.md)
 - [ResetPasswordRequestBody](docs/ResetPasswordRequestBody.md)
 - [User](docs/User.md)
 - [UsernameUpdateRequestBody](docs/UsernameUpdateRequestBody.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Bearer"></a>
### Bearer

- **Type**: Bearer authentication (JWT)


## Author




